Get Bird logs
GET /nests/{nestId}/birds/{birdId}/logs
GET
/nests/{nestId}/birds/{birdId}/logs
Returns Bird related events such as publishing, saving and subscription errors.
Authorizations
Parameters
Path Parameters
nestId
required
string
The ID of the Nest that contains the Bird.
birdId
required
string
The ID of the Bird whose logs are being retrieved.
Query Parameters
page
integer format: int32
The zero-based page index to return.
pageSize
integer format: int32
The number of log items to return per page.
ascending
boolean
Whether to sort the logs in ascending order by creation time.
from
string format: date-time
Optional start timestamp to filter logs from, in ISO 8601 format, for example 2027-10-13T16:33:46Z.
to
string format: date-time
Optional end timestamp to filter logs to, in ISO 8601 format, for example 2027-10-13T16:33:46Z.
Responses
200
A paginated list of logs for the specified Bird.
object
items
Array<object>
object
id
string
createdAt
string format: date-time
workspaceId
integer format: int32
workflowId
integer format: int32
eventType
string
message
string
eventFailedBy
string
errorType
string
initiator
string
totalCount
integer format: int32
page
integer format: int32
pageSize
integer format: int32
Examples
Publishing and saving events
{ "items": [ { "id": "019f2320-b7be-73b5-b6d3-5fbe563bca02", "createdAt": "2026-07-02T13:59:34.590833Z", "workspaceId": 726, "workflowId": 148139, "eventType": "Discarded", "initiator": "Maksym Kharchenko" }, { "id": "019f2320-8b16-7fcb-be73-c4de699d455b", "createdAt": "2026-07-02T13:59:23.158131Z", "workspaceId": 726, "workflowId": 148139, "eventType": "Saved", "initiator": "Maksym Kharchenko" }, { "id": "019f231e-d16e-7975-ac41-7ca732efaf1c", "createdAt": "2026-07-02T13:57:30.094529Z", "workspaceId": 726, "workflowId": 148139, "eventType": "Published", "initiator": "Maksym Kharchenko" }, { "id": "019f231e-c01b-70f7-93d1-b9ec6803ec88", "createdAt": "2026-07-02T13:57:25.659129Z", "workspaceId": 726, "workflowId": 148139, "eventType": "Saved", "initiator": "Maksym Kharchenko" } ], "totalCount": 4, "page": 0, "pageSize": 20}Subscription error event
{ "items": [ { "id": "019f2290-928b-7471-8141-6f0269dc1133", "createdAt": "2026-07-02T11:22:07.883565Z", "workspaceId": 726, "workflowId": 148960, "eventType": "EventError", "message": "This is expected PluginUnhandled exception\n\n at TestPlugin.Webhooks.Handlers.FailSubscriptionHandler.ThrowErrorForTesting(String errorType)\n at TestPlugin.Webhooks.Handlers.FailSubscriptionHandler.SubscribeAsync(IEnumerable`1 authenticationCredentialsProviders, Dictionary`2 values)", "eventFailedBy": "Subscription", "errorType": "PluginUnhandled" } ], "totalCount": 1, "page": 0, "pageSize": 20}404
Not Found
object
type
string
title
string
status
integer format: int32
detail
string
instance
string
key
additional properties
500
Server Error